{
  "id": "93ea2ffdb81e2433a7257aa7",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type RangeNode",
  "content": "# type parse.type RangeNode ¶\n\n```\ntype RangeNode struct {\n\tBranchNode\n}\n```\n\nRangeNode represents a {{range}} action and its commands.",
  "url": "https://pkg.go.dev/parse#type RangeNode ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type RangeNode ¶",
    "type_kind": "alias",
    "underlying": "type RangeNode struct {\n\tBranchNode\n}"
  },
  "hash": "3ced1c7f27851bb028e67fc3781e6d9e7e878b99d7bef39d799be00f3de8fd10",
  "timestamp": "2026-02-23T11:22:10.617619507+01:00"
}